// pages/actDetail/actDetail.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: {},
    uid:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // options.id=89;
    var that = this;
    wx.showNavigationBarLoading()
    wx.getStorage({
      key: 'uid',
      success: function (res) {
        that.setData({
          uid:res.data,
          id: options.id
        })
        that.getData();
      },
    })
    
  },
  getData:function(){
    var that = this;
    wx.request({
      url: host + '/api/detail',
      method: 'GET',
      data: {
        type: 'article',
        id: this.data.id,
        uid: this.data.uid
      },
      success: function (res) {
        wx.hideNavigationBarLoading();
        that.setData({
          info: res.data.data
        })
      },
      fail: function () {
        wx.hideLoading();
        wx.showToast({
          title: '服务器开小差啦！',
          icon: 'none'
        })
      }
    })
  },
  collect:function(e){
    var that=this,info=this.data.info;
    var data={
      type: 'article',
      id: this.data.info.id,
      uid: this.data.uid
    }
    if(e.target.dataset.id){
      data.action='cancel'
    }
    wx.request({
      url: host+'/api/collect',
      data:data,
      success:function(res){
        if(res.data.code == 0){
          if(data.action){
            wx.showToast({
              title: '已取消',
              icon: 'none'
            })
            info.is_collected = 0
          }else{
            wx.showToast({
              title: '已收藏',
              icon:'none'
            })
            info.is_collected = 1
          }
            
            that.setData({
              info: info
            })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
      wx.request({
        url: host+'/api/article/forward',
        data:{
          id:this.data.id
        }
      })
  }
})