// pages/mine/mine.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userinfo:{}
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.getStorage({
      key: 'userInfo',
      success: res => {
        if (res.data) {
          this.setData({
            userinfo: res.data
          })
        }
      },
    })
  },
  onGotUserInfo: function () {
    wx.getUserProfile({
      desc: '用于完善会员资料',
      success: res => {
        //获取基本信息
        var data = {
          nickName: res.userInfo.nickName,
          avatarUrl: res.userInfo.avatarUrl
        }
        wx.showLoading({
          title: '正在登陆',
        })
        wx.setStorage({
          key: 'userInfo',
          data: data,
        })
        this.setData({
          userinfo: data
        })
        wx.request({
          url: host + '/api/auth',
          method: 'POST',
          data: {
            nickname: data.nickName,
            avatar: data.avatarUrl,
            openid: app.globalData.openid,
          },
          success: res => {
            wx.hideLoading()
            wx.setStorage({
              key: 'uid',
              data: res.data.data.uid,
            })
          },
          fail: error => {
            wx.hideLoading()
            wx.showLoading({
              title: '登陆失败',
            })
          }
        })
      }
    })

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})