// pages/searchList/searchList.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    act:0,
    data:[],
    keyword:'',
    type:'',
    left:0,
    top:0,
    title:'',
    value:'',
    list:[],
    page:1,
    loading:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // options.keyword='科学'
    wx.request({
      url: host + '/api/search/default',
      method: 'GET',
      success: res=>{
        this.setData({
          info: res.data.data
        })
      }
    })
    // this.setData({
    //   keyword: options.keyword ? options.keyword:'',
    //   type: options.type ? options.type:'',
    //   act: options.act
    // })
    // if (options.keyword||true ){
    //   this.getData()
    // }
    
  },
  getData:function(){
    wx.showNavigationBarLoading()
    wx.request({
      url: host + '/api/search',
      method: 'GET',
      data: {
        keyword: this.data.keyword,
        type: this.data.type,
        page_size:20,
        page:this.data.page
      },
      success: res => {
        wx.hideNavigationBarLoading()
        
        if(this.data.act>0){
          let list = this.data.list, data = res.data.data[0].list;
          if (data.length<=0){
              this.setData({
                loading:false
              })
              return;
          }
          for (let i = 0; i <data.length;i++) {
            data[i]._name = data[i].name.replace(this.data.keyword, '<span style="color:#3780CD;">' + this.data.keyword+'</span>')
            data[i]._name = "<div style='overflow:hidden;white-space:nowrap;text-overflow:ellipsis;'>" + data[i]._name + "</div>"
            list.push(data[i])
          }
          this.setData({
            title: res.data.data[0].name,
            value: res.data.data[0].value,
            list:list
          })
        }else{
          let data = res.data.data
          for(let i=0;i<data.length;i++){
            for (let j = 0; j < data[i].list.length; j++) {
              data[i].list[j]._name = data[i].list[j].name.replace(this.data.keyword, '<span style="color:#3780CD;">' + this.data.keyword + '</span>')
              data[i].list[j]._name = "<div style='overflow:hidden;white-space:nowrap;text-overflow:ellipsis;'>" + data[i].list[j]._name+"</div>"
            }
          }
          this.setData({
            data: data
          })
        }
        
      },
      fail: function () {
        wx.hideLoading();
        wx.showToast({
          title: '服务器开小差啦！',
          icon: 'none'
        })
      }
    })
  },
  next:function(){
    if(this.data.act>0 && this.data.loading){
      this.setData({
        page:this.data.page+1
      })
      this.getData()
    }
  },
  search:function(e){
    this.setData({
      keyword: e.target.dataset.value,
      act:0
    })
    this.getData();
  },
  inputChange:function(e){
    this.setData({
      keyword:e.detail.value,
      page: 1,
      list: [],
      data: [],
      top: 0
    })
    this.getData();
  },
  search1: function () {
    this.setData({
      page:1,
      list:[],
      data:[],
      top:0
    })
    this.getData();
  },
  tab:function(e){
    var i=e.target.dataset.id;
    var array = ['', 'organizer', 'article', 'conference', 'journal','subject'];
    this.setData({
      type: array[i],
      act:i,
      top:0,
      list:[],
      page:1,
      loading:true
    })
    this.getData()
  },
  more: function (e) {
    var value = e.target.dataset.id;
    this.setData({
      type: value,
      act: e.target.dataset.index,
      left: e.target.dataset.index>3?250:0,
      list: [],
      top:0,
      page: 1,
      loading: true
    })
    this.getData()
  },


  /**organizer/article/conference/journal/subject
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})