// pages/wenzhang/wenzhang.js
const app = getApp()
var host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    keyword:'',
    id:'',
    list:[],
    page:1,
    loading:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id:options.id
    })
    this.getData()
  },
  search: function (e) {
    this.setData({
      keyword: e.detail.value,
      page:1,
      list:[]
    })
    this.getData();
  },
  search1: function (e) {
    this.setData({
      page: 1,
      list: []
    })
    this.getData();
  },
  next: function () {
    if (this.data.loading) {
      this.setData({
        page: this.data.page + 1
      })
      this.getData()
    }
  },
  getData: function () {
    var that = this;
    wx.showNavigationBarLoading()
    wx.request({
      url: host + '/api/article/list',
      data: {
        journal_id: this.data.id,
        keyword: this.data.keyword,
        page_size: 20,
        page: this.data.page
      },
      success: res => {
        wx.hideNavigationBarLoading()
        if (!res.data) {
          return
        }
        let list = this.data.list, data = res.data.data.list;
        if (data.length <= 0) {
          this.setData({
            loading: false
          })
          return;
        }
        for (let i = 0; i < data.length; i++) {
          data[i].name = data[i].name.replace(this.data.keyword, '<span style="color:#3780CD;">' + this.data.keyword + '</span>')

          list.push(data[i])
        }
        this.setData({
          list: list
        })
      }
    })

  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})